!#################################################################
!
! user input 
!
!### macro's #####################################################
!
#define TRACEBACK write (gol,'("in ",a," (",a,", line",i5,")")') rname, __FILE__, __LINE__; call goErr
#define IF_NOTOK_RETURN(action) if (status/=0) then; TRACEBACK; action; return; end if
#define IF_ERROR_RETURN(action) if (status> 0) then; TRACEBACK; action; return; end if
!
#include "tm5.inc"
!
!#################################################################

module user_input

  use GO, only : gol, goPr, goErr
  
  implicit none
  
  
  ! --- in/out --------------------------
  
  private
  
  public  ::  user_input_start
  

  ! --- const --------------------------------
    
  character(len=*), parameter  ::  mname = 'user_input'

  
contains


  ! =============================================================
  ! ===
  ! === start file
  ! ===
  ! =============================================================
  
  subroutine user_input_start( status )
  
    use GO         , only : gol, goPr, goErr
    use dims       , only : nregions
    use global_data, only : mass_dat

    ! --- in/out ------------------------------
    
    integer, intent(out)      ::  status
    
    ! --- const ------------------------------

    character(len=*), parameter ::  rname = mname//'/user_input_start'
    
    ! --- local -------------------------------
    
    integer       ::  n
    
    ! --- begin --------------------------------
    
    ! info ...
    write (gol,'("WARNING - user_input_start not implemented yet;")'); call goPr
    write (gol,'("WARNING -   set all concentrations to zero ...")'); call goPr
    
    ! dummy:
    do n = 1, nregions
      mass_dat(n)%rm_t   = 0.0
#ifdef slopes
      mass_dat(n)%rxm_t  = 0.0
      mass_dat(n)%rym_t  = 0.0
      mass_dat(n)%rzm_t  = 0.0
#ifdef secmom
      mass_dat(n)%rxxm_t = 0.0
      mass_dat(n)%rxym_t = 0.0
      mass_dat(n)%rxzm_t = 0.0
      mass_dat(n)%ryym_t = 0.0
      mass_dat(n)%ryzm_t = 0.0
      mass_dat(n)%rzzm_t = 0.0
#endif
#endif
    end do
    
    ! ok
    status=0
  
  end subroutine user_input_start


end module user_input
